//#define NDEBUG

#include <stdio.h>
#include <unistd.h>

#include <Debug.h>
#include <Timer.h>

#define DEBUG_THIS "TestDebug"

int f(void) {
	fprintf(stderr, "\n***\n");
	return 1;
}

int main(void) {
	Debug_setDefaultAssertions(1);
	Debug_setDefaultOut(1);	

	fprintf(stderr, "Debug category: '%s'\n", DEBUG_THIS);
	//Debug_enableAssertions(DEBUG_THIS);
	
	Debug_out(DEBUG_THIS, "f() returns: %d\n", f());

	Debug_assert(DEBUG_THIS, 1, "assertion ok\n");
	
	//Debug_assert(DEBUG_THIS, 0, "assertion failed\n");
	

	Timer_start("timer1");
	sleep(2);
	Timer_start("timer2");
	sleep(2);
	Timer_end("timer1");
	sleep(1);
	Timer_end("timer2");
	

	return 0;
}
